Subject: Re: [CDNi] Notes from May 30th Design Team Conf Call on "Footprint / Capabilities"

From: Jan Seedorf <[email-masked]>
Date: Fri, 6 Jul 2012 15:29:52 +0000

Hi Francois,

Thanks for the additional comments. I am currently updating the "Footprint / Capabilities" semantics draft so that it captures these discussions and the points where we found some agreement.

 - Jan

> -----Original Message-----
> From: Francois Le Faucheur [mailto:[email-masked]]
> Sent: Monday, June 04, 2012 1:39 PM
> To: Jan Seedorf
> Cc: Francois Le Faucheur; [email-masked]
> Subject: Re: [CDNi] Notes from May 30th Design Team Conf Call on
> "Footprint / Capabilities"
> 
> Hello Jan,
> 
> Thanks for extracting the highlights of our discussion. A few minor comments
> below:
> 
> On 1 Jun 2012, at 15:12, Jan Seedorf wrote:
> 
> > Dear all,
> >
> > Please find attached my notes from the "Footprint / Capabilities" design
> team virtual meeting we had this week.
> >
> > - Jan
> >
> > Notes CDNI Footprint/Capabilities Call - May 30, 2012
> > ***************************************************
> > -- introduction from Francois on goals and scope of the call
> > -- Jon/Stefano: summarize status quo, still quite a few open issues and no
> definition for footprint yet, lately some more email activity
> > -- agreement that ISP-owned CDN is a main use case, if not the most
> important use case; Francois: use-case doc covers multiple scenarios, incl.
> ISP-CDNs
> > -- Jon: focusing on ISP-CDN may simplify things a lot, if for each IP-address
> only one dCDN can serve it; Stefano/Francois: we should not look at only this
> case;
> > -- Francois: solution must be able to support a situation with overlapping
> footprint, right? Agreement from Stefano, agreement that different dCDN
> may claim overlapping footprints
> > -- Francois: business models may have an impact on who makes CDN
> selection decisions
> 
> Following that, I think there was some discussion and eventually some
> agreement that there might be more models but there is one model that we
> are clear we need to make work: model where the decision is made by
> the uCDN (i.e. uCDN selects the dCDN).
> 
> > -- Stefano: why not focus on a single scenario and focus on the
> mechanism?
> > -- Enrico: should dCDN advertise where they have the caches or what the
> bandwidth is? we need to take the incentive away for the dCDN to cheat
> > -- Jon: there are other choices than prefixes for footprints, e.g. "North
> America" or cache locations
> > -- Stefano: we should start with a simple case, so prefixes could be a
> starting point
> > -- Allan: location of caches say nothing about the connectivity to endpoints
> on the Internet
> > -- Enrico: we need to have the dCDN advertise something the uCDN can
> verify, otherwise dCDN will cheat
> > -- Francois: dCDN information should be verifiable, that's a key point to
> note down
> 
> Another related point I tried to make then is that "existence of an incentive
> to cheat" and "cheat-ability" are more or less common to all "footprint"
> approaches.
> 
> > -- Francois: a cheating dCDN may not be the end of the world because
> there are strong contractual agreements between uCDN and dCDN
> > -- agreement that we do not consider real-time verification of dCDN
> statements but afterwards verification of cheating dCDN is fine
> > -- Francois: let's try to converge - a) upstream CDN makes the decision, b)
> let's not try to hard to make dCDN information immediately verifiable,
> 
> s/try to hard/try too hard/
> 
> > c) prefix is probably inevitable as one core footprint definition we could
> start working with; Jon: agree with this process suggestion
> > -- Jon: how does a over-the-top CDN derive its footprint?
> > -- Stefano: would limit the scope, uCDN decision should be made
> autonomously
> > -- Jon: we need the semantics of what a footprint is/means
> > -- Francois: semantic of footprint can be simply willingness to serve
> > -- Allan: AS-hops is in fact a metric for quality, hard to define via SLA for all
> users what "good quality" means
> > -- Jon: also a question where the work gets done, at the dCDN or at the
> uCDN
> > -- Francois: footprint means "willingness to serve", we have agreed on that;
> 
> or perhaps more accurately : footprint means "willingness to serve" + "some
> topology information to help uCDN assess in how good a position the willing
> CDN actually is to serve well".
> 
> > we also have agreed that the uCDN needs more information,
> 
> What I meant here is that the uCDN, to make its dCDN selection, will likely
> make use of other information than what is provided by the CDNI Footprint
> & Advertisement interface (e.g. price between uCDN and dCDN, past
> observation of dCDN quality,...).
> 
> Francois
> 
> > there are several proposals how to do this
> > -- Jon: need to discuss more on resource advertisement model vs.
> coverage / willingness to serve model
> > _______________________________________________
> > CDNi mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/cdni